﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;

namespace HostAnyControl
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void XamDataGrid_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            // the following if check is needed in 9.1 since this event will 
            // be fired whenever the value of a cell is changed...
            //if (e.ReInitialize == false)
                ((DataRecord)e.Record).Cells["pt"].Value = new Point(100, 100);
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {           
            //Attach style at runtime
            FieldLayout fl = xamDataGrid.FieldLayouts[0];
            Field field = fl.Fields["salary"];
            field.Settings.EditorStyle = GetComboEditorStyle();
        }

        void DataBrowserControl_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            //FieldLayout fieldLayout = e.FieldLayout;
            
        }

        private Style GetComboEditorStyle()
        {
            Style style = xamDataGrid.FindResource("MultiComboStyle") as Style;
            return style;
        }
    }
}
